<!DOCTYPE html>
<html>
<title> Task 29.160 </title>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
<!-- Content -->
<div class="container" >
      <div id="plans" class="row">
        <!-- Title what we offer -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-1 border-bottom">Pricing</b></h2>
          <p><span class="p-2">Choose a payment plan that works for you</span></p>
        </div>
        <!-- Content what we offer -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header text-center">
                  <h3><b>Basic</b></h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>20</b> Lorem</li>
                    <li class="list-group-item"><b>15</b> Ipsum</li>
                    <li class="list-group-item"><b>5</b> Dolor</li>
                    <li class="list-group-item"><b>2</b> Sit</li>
                    <li class="list-group-item"><b>Endless</b>&nbsp;Amet</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <div><p style="font-size:30px">19$</p></div>
                  <div><p>per month</p></div>
                  <div><button id = "btn-plan-basic" class="btn btn-success"  data-is-selected = "N">  Sign Up </button></div>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header text-center">
                  <h3><b>Pro</b></h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>50</b> Lorem</li>
                    <li class="list-group-item"><b>25</b> Ipsum</li>
                    <li class="list-group-item"><b>10</b> Dolor</li>
                    <li class="list-group-item"><b>5</b> Sit</li>
                    <li class="list-group-item"><b>Endless</b>&nbsp;Amet</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <div><p style="font-size:30px">29$</p></div>
                  <div><p>per month</p></div>
                  <div><button id = "btn-plan-pro" class="btn btn-success"  data-is-selected = "N">Sign Up</button></div>
                </div>
              </div>
            </div>
            <div class="col-sm-4">
              <div class="card">
                <div class="card-header text-center">
                  <h3><b>Premium</b></h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>100</b> Lorem</li>
                    <li class="list-group-item"><b>50</b> Ipsum</li>
                    <li class="list-group-item"><b>25</b> Dolor</li>
                    <li class="list-group-item"><b>10</b> Sit</li>
                    <li class="list-group-item"><b>Endless</b>&nbsp;Amet</li>
                  </ul>
                </div>
                <div class="card-footer text-center">
                  <div><p style="font-size:30px">49$</p></div>
                  <div><p>per month</p></div>
                  <div><button id = "btn-plan-premium" class="btn btn-success" data-is-selected = "N" >Sign Up</button></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><br><br>
     
</div>
</body>
<script>
"use strict";
$(document).ready(function(){
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
$("#btn-plan-basic").on("click", onBtnPlanBasicClick);
$("#btn-plan-pro").on("click", onBtnPlanProClick);
$("#btn-plan-premium").on("click", onBtnPlanPremiumClick);
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
// Hàm thực thi khi plan premium được chọn (click)
function onBtnPlanPremiumClick(){
  console.log("%c Plan Premium Selected", "color:yellow");
  //code - chọn gói Premium
  $("#btn-plan-basic").attr("class", "btn btn-success");
 $("#btn-plan-pro").attr("class", "btn btn-success");
 $("#btn-plan-premium").attr("class", "btn btn-warning");

}
// Hàm thực thi khi plan pro được chọn (click)
function onBtnPlanProClick(){
  console.log("%c Plan Pro Selected", "color:purple");
  // chỉnh Plan, kế hoạch được chọn là Pro, đổi nút, và đánh dấu
  $("#btn-plan-basic").attr("class", "btn btn-success");
 $("#btn-plan-pro").attr("class", "btn btn-warning");
 $("#btn-plan-premium").attr("class", "btn btn-success");
 
}
// Hàm thực thi khi plan Basic được chọn (click)
function onBtnPlanBasicClick(){
  console.log("%c Plan Basic Selected", "color:green");
  // chỉnh Plan, kế hoạch được chọn là Basic, đổi nút, và đánh dấu
 $("#btn-plan-basic").attr("class", "btn btn-warning");
 $("#btn-plan-pro").attr("class", "btn btn-success");
 $("#btn-plan-premium").attr("class", "btn btn-success");
}

/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/



});
</script>

</html>
